package com.xkrs.controller;

import com.xkrs.service.FireService;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @Author: XinYi Song
 * @Date: 2022/2/11 9:03
 */
@RestController
public class FireController {

    @Resource
    private FireService fireService;

    /**
     * 根据设备编号获取火情信息
     * @param code
     * @return
     */
    @GetMapping("/getFireInformation")
    public String getFireInformation(@RequestParam("code") String code){
        return fireService.getFireInformation(code);
    }
}
